Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletTriangleMesh Class Reference

List of all members.

## Public Member Functions
| BulletTriangleMesh ()
| addArray (PointerToArrayVBase3 const points, PointerToArrayint const indices, bool remove_duplicate_vertices)
| addArray (PointerToArrayVBase3 const points, PointerToArrayint const indices)
| addGeom (Geom const geom, bool remove_duplicate_vertices)
| addGeom (Geom const geom)
| addTriangle (Point3 const p0, Point3 const p1, Point3 const p2, bool remove_duplicate_vertices)
| addTriangle (Point3 const p0, Point3 const p1, Point3 const p2)
int | getNumTriangles ()
float | getWeldingDistance ()
| output (ostream out)
| preallocate (int num_verts, int num_indices)
| setWeldingDistance (float distance)
| write (ostream out, int indent_level)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

BulletTriangleMesh | ( |  | ) |

## Member Function Documentation

addArray | ( | PointerToArrayVBase3 const | points,
|  | PointerToArrayint const | indices,
|  | bool | remove_duplicate_vertices
| ) |  |

addArray | ( | PointerToArrayVBase3 const | points,
|  | PointerToArrayint const | indices
| ) |  |

addGeom | ( | Geom const | geom,
|  | bool | remove_duplicate_vertices
| ) |  |

addGeom | ( | Geom const | geom | ) |

addTriangle | ( | Point3 const | p0,
|  | Point3 const | p1,
|  | Point3 const | p2
| ) |  |

addTriangle | ( | Point3 const | p0,
|  | Point3 const | p1,
|  | Point3 const | p2,
|  | bool | remove_duplicate_vertices
| ) |  |

static TypeHandle getClassType | ( |  | ) | `[static]`

int getNumTriangles | ( |  | ) |

float getWeldingDistance | ( |  | ) |

output | ( | ostream | out | ) |

preallocate | ( | int | num_verts,
|  | int | num_indices
| ) |  |

setWeldingDistance | ( | float | distance | ) |

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties